JexlException.Variable (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Variable

Package org.apache.commons.jexl3

# Class JexlException.Variable

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Variable

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Variable extends JexlException
Thrown when a variable is unknown.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Variable(org.apache.commons.jexl3.parser.JexlNode node, String var, boolean undef)`
  Creates a new Variable exception instance.
  `Variable(org.apache.commons.jexl3.parser.JexlNode node, String var, JexlException.VariableIssue vi)`
  Creates a new Variable exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.
  `String`
  `getVariable()`
  Gets the variable name
  `boolean`
  `isUndefined()`
  Tests whether the variable causing an error is undefined or evaluated as null.

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Variable

    public Variable(org.apache.commons.jexl3.parser.JexlNode node, String var, boolean undef)
    Creates a new Variable exception instance.
    Parameters:
      `node` - the offending ASTnode
      `var` - the unknown variable
      `undef` - whether the variable is undefined or evaluated as null

  - ### Variable

    public Variable(org.apache.commons.jexl3.parser.JexlNode node, String var, JexlException.VariableIssue vi)
    Creates a new Variable exception instance.
    Parameters:
      `node` - the offending ASTnode
      `var` - the unknown variable
      `vi` - the variable issue

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message

  - ### getVariable

    public String getVariable()
    Gets the variable name
    Returns:
      the variable name

  - ### isUndefined

    public boolean isUndefined()
    Tests whether the variable causing an error is undefined or evaluated as null.
    Returns:
      true if undefined, false otherwise